@import "@/styles/variables";

.organization-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas:
        "iconframe"
        "form"
        "members"
        "manage";

    @include notebook {
        grid-column: 2 / 12;
        column-gap: 2rem;
        grid-template:
            "form iconframe"
            "form members"
            "manage members";
        grid-template-rows: auto auto 1fr;
    }

    @include desktop {
        grid-template:
            "iconframe form members"
            "manage form members";
        grid-template-columns: 25% auto 35%;
        grid-template-rows: auto 1fr;
    }
}

.organization-form-container {
    grid-area: form;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.organization-members-container {
    grid-area: members;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.organization-manage-container {
    grid-area: manage;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
